REM PLACE YOUR BORLAND PATH AND CSPL PATH IN THE FOLLOWING BRACKETS 
SET BORLANDPATH=" BORLAND PATH HERE "
SET CSPLPATH=" CSPL PATH HERE "

@ECHO OFF
cd "..\Projects"
:START
CLS
ECHO.
ECHO.
ECHO 				CSPL Companion V 0.1
ECHO -------------------------------------------------------------------------------
ECHO  			By Angelo Scotto (scotto_a@hotmail.com)
ECHO.
 IF NOT "%1"=="" SET PTH="%1"
IF "%1"=="" SET PTH=".\WorkSpace"
ECHO Path currently selected is %PTH%
ECHO.
ECHO Select:
ECHO.
ECHO		A) Prepare template files to write a new CSPLclient program
ECHO.
ECHO		B) Compile and link a previously written CSPLclient program
ECHO.
ECHO		C) Exit from CSPL Companion
ECHO.
CHOICE/N/C:ABC
IF ERRORLEVEL 3 GOTO USCITA
IF ERRORLEVEL 2 GOTO COMPILE
IF ERRORLEVEL 1 GOTO NEWTMP
:COMPILE
ECHO Remember that your source code name should be CSPLclient.csp and CSPLclient.h
ECHO to allow CSPLCompanion to compile them successfully
ECHO.
REM cd %PTH%
IF NOT EXIST %PTH%\cspl.h COPY %CSPLPATH%\library\cspl.h %PTH%\cspl.h
IF EXIST %PTH%\csplclient.csp %BORLANDPATH%\bin\BCC32 -c -P -w- -tW %PTH%\csplclient.csp
IF EXIST %PTH%\csplclient.cpp %BORLANDPATH%\bin\BCC32 -c -w- -tW %PTH%\csplclient.cpp
ECHO COMPILING PHASE ENDED
REM IF NOT EXIST %PTH%\cspl.res COPY %CSPLPATH%\Library\cspl.res %PTH%\cspl.res
REM IF NOT EXIST %PTH%\cspl.lib COPY %CSPLPATH%\Library\cspl.lib %PTH%\cspl.lib
%BORLANDPATH%\bin\ILINK32 /aa c0w32.obj %PTH%\csplclient.obj,%PTH%\csplclient.exe,,%CSPLPATH%\library\cspl.lib import32.lib cw32.lib,,%CSPLPATH%\library\cspl.res
ECHO LINKING PHASE ENDED
ECHO Work finished, Check if there were some errors.
ECHO Now exiting...
GOTO USCITA
:NEWTMP
IF NOT EXIST %PTH% mkdir %PTH%
COPY %CSPLPATH%\Templates\CSPLclient.cpp %PTH%\CSPLclient.csp
COPY %CSPLPATH%\Templates\CSPLclient.h %PTH%\CSPLclient.h
COPY %CSPLPATH%\Library\CSPL.RES %PTH%\CSPL.RES
ECHO.
ECHO Ok,templates copied to directory %PTH%
ECHO Exiting...
:USCITA
CD %CSPLPATH%\tools
